Skip to main content
POST
Create or Update Discord Permission

Authorizations

Authorization
string
header
required

Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).

Path Parameters

id
integer
required

Unique database ID of the integration.

Body

application/json
subject_type
enum<string>
required
Available options:
ROLE,
USER
Example:

"ROLE"

subject_id
string
required

Discord Snowflake ID.

Example:

"888888888888"

product_id
integer | null

Restrict capability to product ID (null for global scope).

Example:

null

can_create_key
boolean
default:false
Example:

true

can_delete_key
boolean
default:false
Example:

false

can_ban_key
boolean
default:false
Example:

true

can_freeze_key
boolean
default:false
Example:

true

can_reset_hwid
boolean
default:false
Example:

true

Response

Permission saved.

success
boolean
Example:

true

permission
object